%define version	0.2.3
%define release	1

%define _with_resample 1

%define fsname  freeswitch
# you could add a version number to be more strict

%define prefix	/opt/freeswitch
%define _prefix	%{prefix}

#!BuildIgnore: post-build-checks


Summary: 	FreeSWITCH it-it Vittoria prompts
Name:  		freeswitch-sounds-it-it-vittoria
Version: 	%{version}
Release: 	13.1
License: 	MPL
Group: 		Productivity/Telephony/Servers
Packager:     	Lele Forzani
URL: 		http://intercom.it
Source: 	%{name}-16000-%{version}.tar.gz
Source10:	buildsounds.sh
BuildArch: 	noarch
BuildRequires:  sox
Requires: 	sox
Requires: 	freeswitch

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?opensuse_bs}

%endif


%description
FreeSWITCH 16kHz it-it Vittoria prompts plus, during the installation,
it will also install locally generated 8KHz, 32KHz and 48KHz prompts

Autogenerated with Cepstral TTS

%package -n freeswitch-sounds-it-it-vittoria-8000
Summary: FreeSWITCH 8kHz it-it Vittoria prompts
Group: Applications/Communications
BuildArch: noarch
Requires: %{fsname}

%description -n freeswitch-sounds-it-it-vittoria-8000
FreeSWITCH 8kHz it-it Vittoria prompts

Autogenerated with Cepstral TTS

%package -n freeswitch-sounds-it-it-vittoria-16000
Summary: FreeSWITCH 16kHz it-it Vittoria prompts
Group: Applications/Communications
BuildArch: noarch
Requires: %{fsname}

%description -n freeswitch-sounds-it-it-vittoria-16000
FreeSWITCH 16kHz it-it Vittoria prompts

Autogenerated with Cepstral TTS

%package -n freeswitch-sounds-it-it-vittoria-32000
Summary: FreeSWITCH 32kHz it-it Vittoria prompts
Group: Applications/Communications
BuildArch: noarch
Requires: %{fsname}

%description -n freeswitch-sounds-it-it-vittoria-32000
FreeSWITCH 32kHz it-it Vittoria prompts

Autogenerated with Cepstral TTS

%package -n freeswitch-sounds-it-it-vittoria-48000
Summary: FreeSWITCH 48kHz it-it Vittoria prompts
Group: Applications/Communications
BuildArch: noarch
Requires: %{fsname}

%description -n freeswitch-sounds-it-it-vittoria-48000
FreeSWITCH 48kHz it-it Vittoria prompts

Autogenerated with Cepstral TTS

%package -n freeswitch-sounds-it-it-vittoria-all
Summary: FreeSWITCH it-it Vittoria prompts
Group: Applications/Communications
BuildArch: noarch
Requires: %{fsname}
Requires: freeswitch-sounds-it-it-vittoria-8000 = %{version}
Requires: freeswitch-sounds-it-it-vittoria-16000 = %{version}
Requires: freeswitch-sounds-it-it-vittoria-32000 = %{version}
Requires: freeswitch-sounds-it-it-vittoria-48000 = %{version}

%description -n freeswitch-sounds-it-it-vittoria-all
FreeSWITCH Vittoria prompts package that pulls in the 8KHz, 16KHz,
32KHz and 48KHz RPMs

Autogenerated with Cepstral TTS

%prep
%setup -b0 -q -n it
# copy buildsounds.sh script to working dir
%{__install} -m 0750 %{SOURCE10} ./it/vittoria


%build
# nothing to do here


%install
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}

# create the sounds directories
%{__install} -d -m 0750 %{buildroot}%{_prefix}/sounds/it/it/vittoria

pushd it/vittoria
# first install the 48KHz sounds
%{__cp} -prv ./* %{buildroot}%{_prefix}/sounds/it/it/vittoria

# now resample the 48KHz ones to 8KHz, 16KHz and 32KHz
%if %{?_with_resample:1}%{!?_with_resample:0}
./buildsounds.sh %{buildroot}%{_prefix}/sounds/it/it/vittoria
%endif
popd


# openSUSE does not allow empty packages, so create at least one file
%if 0%{?suse_version}
cat > README.META << EOF
This is just a meta package to require all needed packages.
EOF
%endif

%clean
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}


%post
# generate the 8KHz, 16KHz and 32KHz prompts from the 48KHz ones
cd %{_prefix}/sounds/it/it/vittoria
./buildsounds.sh %{_prefix}/sounds/it/it/vittoria


%postun
# you could check if there are sound files in 8000/ or
# 16000/ or 32000/ and remove them *only* if the files
# do not belong to an rpm


%files
%defattr(-,root,root)
%attr(0750,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/buildsounds.sh

%files -n freeswitch-sounds-it-it-vittoria-8000
%defattr(-,root,root,-)
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/ascii/8000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/base256/8000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/conference/8000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/currency/8000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/digits/8000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/ivr/8000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/misc/8000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/phonetic-ascii/8000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/time/8000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/voicemail/8000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/zrtp/8000
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/ascii/8000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/base256/8000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/conference/8000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/currency/8000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/digits/8000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/ivr/8000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/misc/8000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/phonetic-ascii/8000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/time/8000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/voicemail/8000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/zrtp/8000/*.wav

%files -n freeswitch-sounds-it-it-vittoria-16000
%defattr(-,root,root,-)
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/ascii/16000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/base256/16000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/conference/16000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/currency/16000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/digits/16000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/ivr/16000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/misc/16000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/phonetic-ascii/16000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/time/16000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/voicemail/16000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/zrtp/16000
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/ascii/16000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/base256/16000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/conference/16000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/currency/16000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/digits/16000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/ivr/16000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/misc/16000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/phonetic-ascii/16000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/time/16000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/voicemail/16000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/zrtp/16000/*.wav

%files -n freeswitch-sounds-it-it-vittoria-32000
%defattr(-,root,root,-)
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/ascii/32000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/base256/32000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/conference/32000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/currency/32000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/digits/32000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/ivr/32000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/misc/32000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/phonetic-ascii/32000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/time/32000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/voicemail/32000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/zrtp/32000
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/ascii/32000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/base256/32000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/conference/32000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/currency/32000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/digits/32000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/ivr/32000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/misc/32000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/phonetic-ascii/32000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/time/32000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/voicemail/32000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/zrtp/32000/*.wav

%files -n freeswitch-sounds-it-it-vittoria-48000
%defattr(-,root,root,-)
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/ascii/48000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/base256/48000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/conference/48000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/currency/48000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/digits/48000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/ivr/48000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/misc/48000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/phonetic-ascii/48000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/time/48000
%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/voicemail/48000
#%attr(0750,freeswitch,daemon)	%dir	%{_prefix}/sounds/it/it/vittoria/zrtp/48000
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/ascii/48000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/base256/48000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/conference/48000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/currency/48000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/digits/48000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/ivr/48000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/misc/48000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/phonetic-ascii/48000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/time/48000/*.wav
%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/voicemail/48000/*.wav
#%attr(0640,freeswitch,daemon)		%{_prefix}/sounds/it/it/vittoria/zrtp/48000/*.wav

%files -n freeswitch-sounds-it-it-vittoria-all

%defattr(-,root,root,-)
# openSUSE does not allow empty packages
%if 0%{?suse_version}
%doc README.META
%endif

%changelog
* Fri Dec 10 2010 - lele@windmill.it
- First
